program verifica_se_eh_primo
	implicit none
    integer num
    logical eh_primo
    write(*,*)"Digite um inteiro:"
    read(*,*) num
    if(eh_primo(num))then
      write(*,*) "O numero eh primo"
    else
      write(*,*) "O numero nao eh primo"
    end if
    stop    
end program verifica_se_eh_primo

function eh_primo(num)
    implicit none
    integer num, cont, div
    logical eh_primo
    cont = 0
    do div = 1, num
      if (mod(num,div) == 0) then
        cont = cont + 1
      end if
    end do
    if (cont == 2) then
      eh_primo = .true.
    else
      eh_primo = .false.
    end if
    return
end function eh_primo    